Bug 1469907 - [abrt] PackageKit: handler_unref_R(): packagekitd killed by signal 6
[abrt] PackageKit: handler_unref_R(): packagekitd killed by signal 6
Status: NEW
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
27
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:6464fdb0f8972684a33b8daadd6...
:
: 1519443 1524202 1529623 1543759 1544871 1557548 1564773 1567536 1572902 1579815 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-12 01:14 EDT by Chris Murphy
Modified: 2018-05-18 07:54 EDT (History)
31 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (26.23 KB, text/plain)
2017-07-12 01:14 EDT, Chris Murphy
no flags Details
File: cgroup (184 bytes, text/plain)
2017-07-12 01:14 EDT, Chris Murphy
no flags Details
File: core_backtrace (14.09 KB, text/plain)
2017-07-12 01:14 EDT, Chris Murphy
no flags Details
File: cpuinfo (1.12 KB, text/plain)
2017-07-12 01:14 EDT, Chris Murphy
no flags Details
File: dso_list (8.17 KB, text/plain)
2017-07-12 01:14 EDT, Chris Murphy
no flags Details
File: environ (190 bytes, text/plain)
2017-07-12 01:14 EDT, Chris Murphy
no flags Details
File: limits (1.29 KB, text/plain)
2017-07-12 01:14 EDT, Chris Murphy
no flags Details
File: maps (38.27 KB, text/plain)
2017-07-12 01:14 EDT, Chris Murphy
no flags Details
File: open_fds (2.97 KB, text/plain)
2017-07-12 01:14 EDT, Chris Murphy
no flags Details
File: proc_pid_status (1.24 KB, text/plain)
2017-07-12 01:14 EDT, Chris Murphy
no flags Details
File: var_log_messages (15.73 KB, text/plain)
2017-07-12 01:14 EDT, Chris Murphy
no flags Details

  None (edit)
Description Chris Murphy 2017-07-12 01:14:00 EDT
Description of problem:
Same as bug 14698311, except packagekitd crashes and I get a crash notification, gnome-software doesn't crash. I'd started from scratch with yet another clean install, immediately went to gnome-software and started removing applications from within the Installed tab. And got the gnome-shell notification of a crash when Firefox was being removed.

Version-Release number of selected component:
PackageKit-1.1.6-1.fc27

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: handler_unref_R
executable:     /usr/libexec/packagekitd
journald_cursor: s=d61ee81b793a4263ae5a005b96d3b13e;i=2118;b=57db2eb03f0145c9a64161f9a5ca8c3b;m=1e162eb0;t=55417a378fd03;x=3dd9ea03a2f56c07
kernel:         4.13.0-0.rc0.git3.1.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Potential duplicate: bug 1406399
Comment 1 Chris Murphy 2017-07-12 01:14:02 EDT
Created attachment 1296721 [details]
File: backtrace
Comment 2 Chris Murphy 2017-07-12 01:14:03 EDT
Created attachment 1296722 [details]
File: cgroup
Comment 3 Chris Murphy 2017-07-12 01:14:04 EDT
Created attachment 1296723 [details]
File: core_backtrace
Comment 4 Chris Murphy 2017-07-12 01:14:05 EDT
Created attachment 1296724 [details]
File: cpuinfo
Comment 5 Chris Murphy 2017-07-12 01:14:06 EDT
Created attachment 1296725 [details]
File: dso_list
Comment 6 Chris Murphy 2017-07-12 01:14:06 EDT
Created attachment 1296726 [details]
File: environ
Comment 7 Chris Murphy 2017-07-12 01:14:07 EDT
Created attachment 1296727 [details]
File: limits
Comment 8 Chris Murphy 2017-07-12 01:14:08 EDT
Created attachment 1296728 [details]
File: maps
Comment 9 Chris Murphy 2017-07-12 01:14:09 EDT
Created attachment 1296729 [details]
File: open_fds
Comment 10 Chris Murphy 2017-07-12 01:14:10 EDT
Created attachment 1296730 [details]
File: proc_pid_status
Comment 11 Chris Murphy 2017-07-12 01:14:11 EDT
Created attachment 1296731 [details]
File: var_log_messages
Comment 12 Jan Kurik 2017-08-15 02:22:31 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.
Comment 13 Luís Silva 2017-11-30 12:24:20 EST
*** Bug 1519443 has been marked as a duplicate of this bug. ***
Comment 14 Rev. Ph d. Aldea Silvarahawk 2017-12-10 13:26:17 EST
*** Bug 1524202 has been marked as a duplicate of this bug. ***
Comment 15 Cletus Lichte 2017-12-28 20:50:22 EST
*** Bug 1529623 has been marked as a duplicate of this bug. ***
Comment 16 David W. Legg 2018-01-20 04:54:19 EST
Similar problem has been detected:

Just clicked on KDE updates thingy on panel.
It only crashed after doing all of the updates.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: handler_unref_R
executable:     /usr/libexec/packagekitd
journald_cursor: s=a3e15dd6ddb54ef180574dd58bd2eaff;i=5055f;b=d7af774a0c0b4332bbde45bcf9e038ee;m=2da07d12;t=56290e63a068e;x=7be5765befc7fb41
kernel:         4.14.11-300.fc27.x86_64
package:        PackageKit-1.1.7-1.fc27
reason:         packagekitd killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0
Comment 17 Tyler J.B. Hall 2018-02-09 03:53:06 EST
*** Bug 1543759 has been marked as a duplicate of this bug. ***
Comment 18 aoellerer@gmail.com 2018-02-13 11:30:43 EST
*** Bug 1544871 has been marked as a duplicate of this bug. ***
Comment 19 Jason Birch 2018-03-16 16:45:21 EDT
*** Bug 1557548 has been marked as a duplicate of this bug. ***
Comment 20 Christian Stadelmann 2018-03-29 06:42:54 EDT
Same crash here.

I did not use gnome-software or any other frontend to PackageKit except maybe gnome-software's gnome-shell search provider. I did run an update using dnf while this crash happened.

PackageKit-1.1.9-2.fc27.x86_64
PackageKit-glib-1.1.9-2.fc27.x86_64
gnome-software-3.28.0-4.fc27.x86_64
dnf-2.7.5-2.fc27.noarch
Comment 21 ECHACHAGUA 2018-04-07 14:35:39 EDT
*** Bug 1564773 has been marked as a duplicate of this bug. ***
Comment 22 gudbugsarwontfix 2018-04-14 15:51:56 EDT
*** Bug 1567536 has been marked as a duplicate of this bug. ***
Comment 23 Martino 2018-04-28 09:55:47 EDT
*** Bug 1572902 has been marked as a duplicate of this bug. ***
Comment 24 Apprus 2018-05-18 07:54:41 EDT
*** Bug 1579815 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.